#
# spec file for package artha
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           artha
Version:        1.0.3
Release:        lp150.2.1
Summary:        Offline English thesaurus based on WordNet
License:        GPL-2.0-only
Group:          Productivity/Office/Dictionary
Url:            http://artha.sourceforge.net
Source:         http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM artha-fix-gio-linking.patch badshah400@gmail.com -- Pass libgio-2.0 to the linker to prevent building errors
Patch0:         artha-fix-gio-linking.patch
# PATCH-FIX-UPSTREAM artha-only-use-AM_PROG_AR-if-defined.patch badshah400@gmail.com -- Use the configure.ac variable AM_PROG_AR only if defined; this fixes build failures in openSUSE <= 12.1 when autoreconf is used
Patch1:         artha-only-use-AM_PROG_AR-if-defined.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  desktop-file-utils
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  wordnet-devel
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.22
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.24
Requires:       enchant
Requires:       hunspell
Requires:       wordnet
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Artha is a free cross-platform English thesaurus that works
completely off-line and is based on WordNet.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
chmod -x TODO

%build
autoreconf -f
%configure
make %{?_smp_mflags}

%install
%make_install DESTDIR=%{buildroot} INSTALL="install -p"
%if 0%{?suse_version}
%suse_update_desktop_file -r artha Office Dictionary
%endif

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING NEWS TODO AUTHORS
%dir %{_datadir}/artha
%{_bindir}/artha
%{_datadir}/applications/artha.desktop
%{_datadir}/artha/gui.glade
%{_datadir}/pixmaps/artha.png
%{_mandir}/man1/artha.1.gz

%changelog
* Sat Apr 21 2018 badshah400@gmail.com
- Add Requires: wordnet, since the program is basically useless
  without it.
- Trim description in specfile of unnecessary sentences.
* Thu Jan 31 2013 badshah400@gmail.com
- Update to version 1.0.3:
  + Auto completion of wordnet terms implmented
  + Wordnet terms load and auto completion list populate made idle
    exec. functions
  + Lookup history made persistant; can be cleared or saved when
    required
  + Invisible mode made optional; show window on startup made
    optional
  + Polysemy count display now made optional; can be toggled via
    the toolbutton
  + Status/tray icon now made optional; can be toggled via the
    toolbutton
  + Added Member Of, Substance Of and Part Of classification to
    Holo and Meronyms
  + "farcry" search should now fetch "far cry" correctly for both
    normal and notify lookup
  + Added accelerators Ctrl + W and Ctrl + Q support
  + Fixed issues in finding libnotify.so across distributions
  + Fixed relative tab names by removing Similar for Nouns and
    Verbs (WNI)
  + Fixed 671084 - Back button skips Wildmat search results
  + Bumped min GTK+ version to 2.24 to remove deprecated
    GtkComboBoxEntry there by adding GtkComboBox with "has-entry"
    set to TRUE
  + Bumped min GLib version to 2.22
  + Lot of code clean-ups and minor fixes
- Add artha-fix-gio-linking.patch to fix a linking issue with
  libgio-2.0 that broke build; this requires doing autoreconf
  during build, accordingly require libtool, automake and
  autoconf
- Add artha-only-use-AM_PROG_AR-if-defined.patch to fix build
  errors with openSUSE <= 12.1 when autoreconf is used.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Fri Aug  5 2011 badshah400@gmail.com
- Minor spec file cleanup
* Thu Jul 28 2011 badshah400@gmail.com
- Initial package (version 1.0.2)
